Profile Suspend
Suspends a staff profile, preventing login and access to Full Fabric. Returns a 422 if the profile is already suspended, is a support account, or if the requesting user does not have a staff profile.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for put/apis/profiles/profiles/{profile_id}/suspend
curl https://ff-business-school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/suspend \
--request PUT \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385baa5976a771912000535",
"contracts": [],
"diplomas": [],
"tags": [],
"roles": [],
"activated_at": 1746782364,
"last_seen": null,
"created_at": 1669708453,
"updated_at": 1746782405,
"updated_data_at": 1746782405,
"source_category": null,
"source_method": null,
"first_name": "Lloyd",
"middle_name": null,
"last_name": "Braun",
"email": "alumni@tbs.edu",
"__secondary_email": null,
"__dob": null,
"__nationality": null,
"__gender": null,
"__BIN__": [],
"__phone": null,
"__mobile": null,
"__address": {},
"policies": {}
}